Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 617494 - Handle error when provided wrong passphrase :Minor issue
Handle error when provided wrong passphrase :Minor issue
Status: CLOSED CURRENTRELEASE
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Tools (Show other bugs)
1.2
All Linux
low Severity medium
: ---
: ---
Assigned To: Jay Dobies
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 05:14 EDT by Shveta
Modified: 2012-05-31 08:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 08:55:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shveta 2010-07-23 05:14:12 EDT
Description of problem:Yum operation on client throws error when wrong passphrase is provided.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

[root@ip-10-202-26-32 ~]# yum install zsh.x86_64
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package zsh.x86_64 0:4.2.6-3.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================
 Package       Arch             Version               Repository          Size
===============================================================================
Installing:
 zsh           x86_64           4.2.6-3.el5           rh-cloud           1.7 M

Transaction Summary
===============================================================================
Install       1 Package(s)
Upgrade       0 Package(s)

Total download size: 1.7 M
Is this ok [y/N]: y
Downloading Packages:
Enter passphrase:
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 261, in main
    return_code = base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 398, in doTransaction
    problems = self.downloadPkgs(downloadpkgs, callback_total=self.download_callback_total_cb) 
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 1354, in downloadPkgs
    cache=po.repo.http_caching != 'none',
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 849, in getPackage
    cache=cache
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 816, in _getFile
    result = self.grab.urlgrab(misc.to_utf8(relative), local,
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 506, in <lambda>
    grab = property(lambda self: self._getgrab())
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 501, in _getgrab
    self._setupGrab()
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 486, in _setupGrab
    ssl_context = self._getSslContext())
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 646, in _getSslContext
    sslCtx.load_cert(self.sslclientcert, self.sslclientkey)
  File "/usr/lib64/python2.4/site-packages/M2Crypto/SSL/Context.py", line 75, in load_cert
    m2.ssl_ctx_use_privkey(self.ctx, keyfile)
M2Crypto.SSL.SSLError: bad decrypt
Comment 1 Jay Dobies 2010-07-30 09:54:28 EDT
If anything, this would be a yum bug. However in our case, it should be a non-issue. The entitlement certificate generation was changed to not use a passphrase on the private key, so they user won't be prompted.
Comment 2 wes hayutin 2010-08-18 12:31:34 EDT
  Installing     : at-spi-devel                                                                                                                                                                                       104/108 
  Cleanup        : freetype                                                                                                                                                                                           105/108 
  Cleanup        : libpng                                                                                                                                                                                             106/108 
  Cleanup        : dbus-glib                                                                                                                                                                                          107/108 
  Cleanup        : cups-libs                                                                                                                                                                                          108/108 

Installed:
  GConf2-devel.i386 0:2.14.0-9.el5         ORBit2-devel.i386 0:2.14.3-5.el5        at-spi-devel.i386 0:1.7.11-3.el5           atk-devel.i386 0:1.12.2-1.fc6                       bug-buddy.i386 1:2.16.0-2.el5              
  devhelp.i386 0:0.12-21.el5               eel2-devel.i386 0:2.16.1-1.el5          evince.i386 0:0.6.0-13.el5                 evolution-data-server-devel.i386 0:1.12.3-18.el5    gail-devel.i386 0:1.9.2-3.el5              
  glade2.i386 0:2.12.1-6.el5               glib2-devel.i386 0:2.12.3-4.el5_3.1     gnome-desktop-devel.i386 0:2.16.0-1.fc6    gnome-panel-devel.i386 0:2.16.1-7.el5               gnome-vfs2-devel.i386 0:2.16.2-6.el5_5.1   
  gtk-doc.noarch 0:1.7-1.fc6               gtk2-devel.i386 0:2.10.4-20.el5         hal-devel.i386 0:0.5.8.1-59.el5            libart_lgpl-devel.i386 0:2.3.17-4                   libbonobo-devel.i386 0:2.16.0-1.fc6        
  libbonoboui-devel.i386 0:2.16.0-1.fc6    libglade2-devel.i386 0:2.6.0-2          libgnome-devel.i386 0:2.16.0-6.el5         libgnomecanvas-devel.i386 0:2.14.0-4.1              libgnomeprintui22-devel.i386 0:2.12.1-6    
  libgnomeui-devel.i386 0:2.16.0-5.el5     libgtop2-devel.i386 0:2.14.4-8.el5_4    pango-devel.i386 0:1.14.9-8.el5            pygtk2-devel.i386 0:2.10.1-12.el5                  

Dependency Installed:
  alsa-lib-devel.i386 0:1.0.17-1.el5           at-spi.i386 0:1.7.11-3.el5             audiofile-devel.i386 1:0.2.6-5            avahi-compat-libdns_sd.i386 0:0.6.16-9.el5_5   cairo-devel.i386 0:1.2.4-5.el5              
  cups.i386 1:1.3.7-18.el5_5.7                 dbus-devel.i386 0:1.1.2-14.el5         dbus-glib-devel.i386 0:0.73-10.el5_5      docbook-style-dsssl.noarch 0:1.79-4.1          docbook-style-xsl.noarch 0:1.69.1-5.1       
  docbook-utils.noarch 0:0.6.14-5.1            eel2.i386 0:2.16.1-1.el5               elinks.i386 0:0.11.1-6.el5_4.1            esound-devel.i386 1:0.2.36-3                   evolution-data-server.i386 0:1.12.3-18.el5  
  fontconfig-devel.i386 0:2.4.1-7.el5          freetype-devel.i386 0:2.2.1-26.el5_5   gdb.i386 0:7.0.1-23.el5_5.2               gnome-desktop.i386 0:2.16.0-1.fc6              gnome-keyring-devel.i386 0:0.6.0-1.fc6      
  gnome-menus.i386 0:2.16.0-2.fc6              gnome-panel.i386 0:2.16.1-7.el5        gnutls-devel.i386 0:1.4.1-3.el5_4.8       indent.i386 0:2.2.9-14.fc6                     libICE-devel.i386 0:1.0.1-2.1               
  libIDL-devel.i386 0:0.8.7-1.fc6              libSM-devel.i386 0:1.0.1-3.1           libX11-devel.i386 0:1.0.3-11.el5          libXau-devel.i386 0:1.0.1-3.1                  libXcursor-devel.i386 0:1.1.7-1.1           
  libXdmcp-devel.i386 0:1.0.1-2.1              libXevie.i386 0:1.0.1-3.1              libXext-devel.i386 0:1.0.1-2.1            libXfixes-devel.i386 0:4.0.1-2.1               libXft-devel.i386 0:2.1.10-1.1              
  libXi-devel.i386 0:1.0.1-4.el5_4             libXinerama-devel.i386 0:1.0.1-2.1     libXrandr-devel.i386 0:1.1.1-3.3          libXrender-devel.i386 0:0.9.1-3.1              libXxf86vm.i386 0:1.0.1-3.1                 
  libcroco-devel.i386 0:0.6.1-2.1              libdrm.i386 0:2.0.2-1.1                libgcrypt-devel.i386 0:1.4.4-5.el5        libgnomecups.i386 0:0.2.2-9                    libgnomeprint22.i386 0:2.12.1-10.el5        
  libgnomeprint22-devel.i386 0:2.12.1-10.el5   libgnomeprintui22.i386 0:2.12.1-6      libgpg-error-devel.i386 0:1.4-2           libgsf-devel.i386 0:1.14.1-6.1                 libgtop2.i386 0:2.14.4-8.el5_4              
  libpng-devel.i386 2:1.2.10-7.1.el5_5.3       librsvg2-devel.i386 0:2.16.1-1.el5     libsoup.i386 0:2.2.98-2.el5_3.1           libsoup-devel.i386 0:2.2.98-2.el5_3.1          libxml2-devel.i386 0:2.6.26-2.1.2.8         
  libxslt-devel.i386 0:1.1.17-2.el5_2.2        mesa-libGL.i386 0:6.5.1-7.8.el5        mesa-libGL-devel.i386 0:6.5.1-7.8.el5     nautilus-extensions.i386 0:2.16.2-7.el5        paps.i386 0:0.6.6-19.el5                    
  perl-SGMLSpm.noarch 0:1.03ii-16.2.1          poppler.i386 0:0.5.4-4.4.el5_4.11      poppler-utils.i386 0:0.5.4-4.4.el5_4.11   pycairo-devel.i386 0:1.2.0-1.1                 pygobject2-devel.i386 0:2.12.1-5.el5        
  pygobject2-doc.i386 0:2.12.1-5.el5           pygtk2-codegen.i386 0:2.10.1-12.el5    python-devel.i386 0:2.4.3-27.el5          startup-notification-devel.i386 0:0.8-4.1      xorg-x11-proto-devel.i386 0:7.1-13.el5      
  zlib-devel.i386 0:1.2.3-3                   

Dependency Updated:
  cups-libs.i386 1:1.3.7-18.el5_5.7                        dbus-glib.i386 0:0.73-10.el5_5                        freetype.i386 0:2.2.1-26.el5_5                        libpng.i386 2:1.2.10-7.1.el5_5.3                       

Complete!
Comment 3 wes hayutin 2011-08-01 17:39:51 EDT
moving to release pending
Comment 4 wes hayutin 2012-05-31 08:55:12 EDT
closing out, product released

Note You need to log in before you can comment on or make changes to this bug.